## Command Line Arguments

Command line arguments consist of various option flags followed by an optional filename. If a filename is given, test input data will be read from that file.

-c[lasses] <filename>
  Read definitions of character classes from file <filename>
-d[ebug]
  Set debug flag. Among other things, this prevents the various temporary files from being deleted on exit.
-F[eatures] <filename>
  Read program feature settings from the specified file.
-f[ilter]
  If this flag is specified, regular expression output is sent to the standard output as well as to the output window, and test data is automatically read from the standard input.
-H
  Do not read history file.
-h[elp]
  Print usage information.
-I <file name>
  Read the file <file name> as the initialization file.
-i
  Do not read initialization file.
-n
  Do not execute feature tests.
-P[rogramlist]
  List the programs supported and indicate which are available.
-p[rogram] <program>
  Use <program> to execute regular expressions. If this option is used, it overrides both the default and any specification of the program in the user's initialization file.
-s[ubstitution mode]
  Start up in substitution mode.
-t[est]
  Print the results of feature tests during palette construction.
-v[ersion]
  Print the program name and version.

Next
Back to Table of Contents